### File

`packages/eui-mobile/packages/core/src/lib/components/layout/euim-language-selector/euim-language-selector.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : color
selector | `euim-language-selector`
styleUrls | `./styles/_index.scss`
templateUrl | `euim-language-selector.component.html`

### Index

###### Properties

- _euimBranding
- _euimPrimary
- Public appService
- Public appShellService
- Public baseStatesDirective
- languages
- selectedLanguage

###### Methods

- Async onShowLanguageList

###### Inputs

- hasSearchbar

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(cd: ChangeDetectorRef, appShellService: EuiAppShellService, appService: EuimAppService, i18nService: I18nService, modalCtrl: ModalController, baseStatesDirective: BaseStatesDirective, baseGlobalConfig: GlobalConfig)`

Parameters :

Name | Type | Optional
cd | `ChangeDetectorRef` | No
appShellService | `EuiAppShellService` | No
appService | `EuimAppService` | No
i18nService | `I18nService` | No
modalCtrl | `ModalController` | No
baseStatesDirective | `BaseStatesDirective` | No
baseGlobalConfig | `GlobalConfig` | No

### Inputs

hasSearchbar
Type : `boolean`
Default value : `true`

### HostBindings

class
Type : `string`

### Methods

Async onShowLanguageList
`onShowLanguageList()`
Returns : `Promise<void>`

### Properties

_euimBranding
Default value : `this.baseStatesDirective.color === 'branding'`

_euimPrimary
will be removed in eUI Mobile v20. _euimBranding instead.
Default value : `this.baseStatesDirective.color === 'primary'`

Public appService
will be removed in eUI Mobile v19.
Type : `EuimAppService`

Public appShellService
will be removed in eUI Mobile v19.
Type : `EuiAppShellService`

Public baseStatesDirective
Type : `BaseStatesDirective`

languages
will become private in eUI Mobile v19.
Type : `EuiLanguage[]`
will become private in eUI Mobile v19.

selectedLanguage
Type : `EuiLanguage`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""